Name:		xml-security-c
Version:	1.7.0
Release:	%mkrel 2
Summary:	C++ Implementation of W3C security standards for XML

Group:		System/Libraries
License:	ASL 2.0
URL:		http://santuario.apache.org/cindex.html
Source:		http://apache.tradebit.com/pub/santuario/c-library/%{name}-%{version}.tar.gz

# xalan-c-devel
BuildRequires:	xerces-c-devel 

%description
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

# xalan-c-devel
%package	devel
Summary:	Development files for xml-security-c
Group:		System/Libraries
Requires:	%{name} = %{version}
Requires:	xerces-c-devel
Requires:	openssl-devel
# There are a number of headers that can use NSS if HAVE_NSS is set to 1
# Current build does not set it (configure does not even check for NSS)
# so we do not include this dependency for now.
# Requires:	nss-devel

%description	devel
This package provides development files for xml-security-c, a C++ library for
XML Digital Signatures.


%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%check
# Verify that what was compiled actually works.
./xsec/xtest

%install
%makeinstall_std

# We do not ship .la files.
rm -f %{buildroot}%{_libdir}/*.la

# Do not ship library test utilities. These are only needed for
# xml-security-c developers and they should have the whole source anyway.
rm -rf %{buildroot}%{_bindir}

%files
%{_libdir}/libxml-security-c.so.*
%doc LICENSE.txt INSTALL.txt CHANGELOG.txt NOTICE.txt

%files devel
%{_includedir}/xsec
%{_libdir}/libxml-security-c.so


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 387156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 sander85 <sander85> 1.7.0-1.mga3
+ Revision: 295327
- New version: 1.7.0
- clean spec

* Fri Jul 08 2011 sander85 <sander85> 1.6.1-1.mga2
+ Revision: 120236
- new version: 1.6.1

* Fri Apr 22 2011 sander85 <sander85> 1.6.0-1.mga1
+ Revision: 89762
- new version 1.6.0
- imported package xml-security-c

